Create or upsert a contact
If a contact with the same email exists, it will be updated instead of creating a duplicate.
POST
/projects/{projectId}/contacts
If a contact with the same email exists, it will be updated instead of creating a duplicate.
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Request Body required
application/jsonResponses
201
Created or updated contact
application/jsondata
object
id
string
project_id
string
email
string | null
name
string | null
phone
string | null
external_id
string | null
metadata
object
created_at
string (date-time)
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/contacts' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d 'null'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/contacts', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/contacts', headers=headers, json=null)print(response.json())
201
Response
{ "data": { "id": "<string>", "project_id": "<string>", "email": "<string>", "name": "<string>", "phone": "<string>", "external_id": "<string>", "metadata": "<object>", "created_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
POST
/projects/{projectId}/contacts